#!/bin/sh -efu

a= . install2-init-functions

userdir_conf_file_http="$destdir/etc/httpd2/conf/sites-available/default.conf"
userdir_conf_file_https="$destdir/etc/httpd2/conf/sites-available/default_https.conf"
userdir_conf_file_ports="$destdir/etc/httpd2/conf/sites-available/ports_all.conf"
userdir_conf_file_docs="$destdir/etc/httpd2/conf/addon.d/A.docs.conf"
indexhtml_dir="/usr/share/doc/indexhtml/"

sed -i "s|/var/www/html|$indexhtml_dir|" $userdir_conf_file_http
sed -i "s|/var/www/html|$indexhtml_dir|" $userdir_conf_file_https

sed -i "s|VirtualHost \*|VirtualHost \*:80|" $userdir_conf_file_http
sed -i "s|VirtualHost _default_:443|VirtualHost \*:443|" $userdir_conf_file_https
echo "NameVirtualHost *:80
NameVirtualHost *:443
" > $userdir_conf_file_ports

echo "Alias \"/documentation\" \"/usr/share/doc/documentation\"
<Directory \"/usr/share/doc/documentation\">
Allow From all
</Directory>" > $userdir_conf_file_docs

exec_chroot chkconfig --level 235 httpd2 on
exec_chroot a2enmod ssl
exec_chroot a2enport https
exec_chroot a2ensite default_https
